_base=typst_pyimage
pkgname=${_base}-git
pkgver=r1.013062f
pkgrel=1
pkgdesc="Typst extension, adding support for generating figures using inline Python code"
arch=('x86_64')
url="https://github.com/patrick-kidger/${_base}"
license=(Apache)
depends=(typst python-matplotlib)
makedepends=(python-build python-installer python-setuptools python-wheel git)
checkdepends=(python-pytest)
source=(git+${url}.git)
sha512sums=('SKIP')
provides=(${_base})
conflicts=(${_base})

pkgver() {
  cd ${_base}
  printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short=7 HEAD)"
}

build() {
  cd ${_base}
  python -m build --wheel --skip-dependency-check --no-isolation
}

check() {
  cd ${_base}
  python -m venv --system-site-packages test-env
  test-env/bin/python -m installer dist/*.whl
  test-env/bin/python -m pytest tests
}

package() {
  cd ${_base}
  PYTHONPYCACHEPREFIX="${PWD}/.cache/cpython/" python -m installer --destdir="${pkgdir}" dist/*.whl
  local site_packages=$(python -c "import site; print(site.getsitepackages()[0])")
  install -Dm 644 ${_base}/pyimage.typ -t "${pkgdir}${site_packages}"/${_base}
  install -Dm 644 LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}"
}
